## org.eclipse.datatools.sqltools.db.derby.parser
Interface Node

All Superinterfaces:
  Node

    public interface Node

extends Node

Method Summary
`java.lang.Object` `jjtAccept(DerbySQLParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Method Detail

### jjtAccept

    java.lang.Object jjtAccept(DerbySQLParserVisitor visitor,
                               java.lang.Object data)

  Accept the visitor.